# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_name": "New York,New York,United States",
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"tag": "some_string_123",
"postback_url": "https://your-server.com/postbackscript.php",
"postback_data": "advanced"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post"
payload = [
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
hotel_identifier: 'ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE',
language_code: 'en',
location_name: 'New York,New York,United States',
postback_data: 'advanced',
postback_url: 'https://your-server.com/postbackscript.php',
tag: 'some_string_123'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'hotel_identifier' => 'ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE',
'language_code' => 'en',
'location_name' => 'New York,New York,United States',
'postback_data' => 'advanced',
'postback_url' => 'https://your-server.com/postbackscript.php',
'tag' => 'some_string_123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post"
payload := strings.NewReader("[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}Setting Google Hotel Info Tasks
Queues a hotel listing lookup, returning a task id.
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en",
"location_name": "New York,New York,United States",
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"tag": "some_string_123",
"postback_url": "https://your-server.com/postbackscript.php",
"postback_data": "advanced"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post"
payload = [
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
hotel_identifier: 'ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE',
language_code: 'en',
location_name: 'New York,New York,United States',
postback_data: 'advanced',
postback_url: 'https://your-server.com/postbackscript.php',
tag: 'some_string_123'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'hotel_identifier' => 'ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE',
'language_code' => 'en',
'location_name' => 'New York,New York,United States',
'postback_data' => 'advanced',
'postback_url' => 'https://your-server.com/postbackscript.php',
'tag' => 'some_string_123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post"
payload := strings.NewReader("[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"hotel_identifier\": \"ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE\",\n \"language_code\": \"en\",\n \"location_name\": \"New York,New York,United States\",\n \"postback_data\": \"advanced\",\n \"postback_url\": \"https://your-server.com/postbackscript.php\",\n \"tag\": \"some_string_123\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}id. Asynchronous: submit returns a task id in tasks[0].id, fetch returns the result once ready, and the charge lands on the submit - fetching is free, including re-fetching. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. Retrieve parsed with get_dataforseo_business_google_hotel_info_fetch or raw with get_dataforseo_business_google_hotel_info_fetch_html.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"hotel_identifier": "...", "keyword": "...", "priority": "..."}]'
Request contract
- Method and path: POST /apis/v1/dataforseo/business_data/google/hotel_info/task_post
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/dataforseo/business_data/google/hotel_info/task_post - Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_business_google_hotel_info_submit",
"method": "POST",
"path": "/apis/v1/dataforseo/business_data/google/hotel_info/task_post",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
],
"items": {
"oneOf": [
{
"properties": {
"adults": {
"description": "<em>number of adults</em><br>optional field<br>if you don't specify this field, two adults will be used by default<br>example:<br><code>1</code>",
"type": [
"integer",
"null"
]
},
"check_in": {
"description": "<em>check-in date</em><br>optional field<br>if you don't specify this field, tomorrow's date will be used by default;<br>the value must not be earlier than today's date<br>date format: <code>\"yyyy-mm-dd\"</code><br>example:<br><code>\"2019-01-15\"</code>",
"type": [
"string",
"null"
]
},
"check_out": {
"description": "<em>check-out date</em><br>optional field<br>if you don't specify this field, our system will apply the date of two days from now by default;<br><strong>Note:</strong> the value cannot be less than or equal to <code>check_in</code>;<br>the range between <code>check_in</code> and <code>check_out</code> values cannot exceed 30 days<br>date format: <code>\"yyyy-mm-dd\"</code><br>example:<br><code>\"2019-01-15\"</code>",
"type": [
"string",
"null"
]
},
"children": {
"description": "<em>number and age of children</em><br>optional field<br>if you don't specify this field, no children will be included in the search;<p>set the following value if you want to include one 14-years-old child:<br><code>[14]</code><br>set the following value if you want to include one 13-years-old child and one 8-years-old child:<br><code>[13,8]</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"currency": {
"description": "<em>currency</em><br>optional field<br>example:<br><code>\"USD\"</code>",
"type": [
"string",
"null"
]
},
"hotel_identifier": {
"description": "<em>unique hotel identifier</em><br><strong>required field if you don't specify <code>keyword</code></strong><br><strong>if you use this field, you don't need to specify <code>keyword</code></strong><br>unique identifier of a hotel entity in Google search;<br>you can obtain the value by making a request to Advanced <a href=\"/v3/serp/google/organic/overview/\" rel=\"noopener noreferrer\" target=\"_blank\">Google SERP API</a> (enclosed in the <code>hotels_pack</code> element of the response), or the <a href=\"/v3/business_data/google/hotel_searches/task_post/\" rel=\"noopener noreferrer\" target=\"_blank\">Hotel Searches endpoint</a> of Business Data API<br>example:<br><code>ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE</code>",
"type": "string"
},
"keyword": {
"description": "<em>keyword</em><br><strong>required field if you don't specify <code>hotel_identifier</code></strong><br><strong>if you use this field, you don't need to specify <code>hotel_identifier</code></strong><br>the keyword you specify should indicate the name of the hotel entity<br>you can specify <strong>up to 700 characters</strong> in the <code>keyword</code> filed<br><strong>all %## will be decoded (plus character ‘+’ will be decoded to a space character)</strong><br>if you need to use the “%” character for your <code>keyword</code>, please specify it as “%25”",
"type": "string"
},
"language_code": {
"description": "<em>search engine language code</em><br><strong>required field if you don't specify <code>language_name</code></strong><br><strong>if you use this field, you don't need to specify <code>language_name</code></strong><br>you can receive the list of available languages with their <code>language_code</code>_by making a separate request to <code>https://api.dataforseo.com/v3/business_data/google/languages</code><em><br></em>example:<em><br></em><code class=\"long-string\">en</code>n",
"type": "string"
},
"language_name": {
"description": "<em>full name of search engine language</em><br><strong>required field if you don't specify <code>language_code</code></strong><br><strong>if you use this field, you don't need to specify <code>language_code</code></strong><br>you can receive the list of available languages with <code>language_name</code> by making a separate request to <code>https://api.dataforseo.com/v3/business_data/google/languages</code><br>example:<br><code class=\"long-string\">English</code>",
"type": "string"
},
"load_prices_by_dates": {
"description": "<em>load hotel stay prices by dates</em><br>optional field<br>if you specify this parameter with <code>true</code>, the response will include the <code>prices_by_dates</code> array with hotel stay prices divided by dates<br>if you use this parameter, you will be charged <strong>double the base price for a request</strong>",
"type": [
"boolean",
"null"
]
},
"location_code": {
"description": "<em>search engine location code</em><br><strong>required field if you don't specify <code>location_name</code>_or <code>location_coordinate</code></strong><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with <code>location_code</code> by making a separate request to the <code>https://api.dataforseo.com/v3/business_data/google/locations</code><br>example:<br><code class=\"long-string\">2840</code>n",
"type": "integer"
},
"location_coordinate": {
"description": "<em>GPS coordinates of a location</em><br><strong>required field if you don't specify <code>location_name</code>_or <code>location_code</code></strong><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><br><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude\"</em> format<br>the maximum number of decimal digits for <em>\"latitude\"</em> and <em>\"longitude\"</em>: 7<br><strong>Note</strong>: if the coordinates are used to set a location, the search will occur in the nearest settlement;<br>example:<br><code class=\"long-string\">53.476225,-2.243572</code>n",
"type": "string"
},
"location_name": {
"description": "<em>full name of search engine location</em><br><strong>required field if you don't specify <code>location_code</code> or <code>location_coordinate</code></strong><br><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with <code>location_name</code> by making a separate request to <code>https://api.dataforseo.com/v3/business_data/google/locations</code><br>example:<br><code class=\"long-string\">London,England,United Kingdom</code>",
"type": "string"
},
"pingback_url": {
"description": "<em>notification URL of a completed task</em><br>optional field<br>when a task is completed we will notify you by GET request sent to the URL you have specified;<br>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable;<br>we will set the necessary values before sending the request;<br>example:<br><code>http://your-server.com/pingscript?id=$id</code><br><code>http://your-server.com/pingscript?id=$id&tag=$tag</code><br><strong>Note:</strong> special characters in <code>pingback_url</code> will be urlencoded; <br>i.a., the <code>#</code> character will be encoded into <code>%23</code><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a>",
"type": [
"string",
"null"
]
},
"postback_data": {
"description": "<em>postback_url datatype</em><br><strong>required field if you specify <code>postback_url</code></strong><br>corresponds to the datatype that will be sent to your server<br>possible values:<br><code>advanced</code>, <code>html</code>",
"type": "string"
},
"postback_url": {
"description": "<em>URL for sending task results</em><br>optional field<br>once the task is completed, we will send a POST request with its results compressed in the <code>gzip</code> format to the <code>postback_url</code> you specified;<br>you can use the ‘$id’ string as a <code>$id</code> variable and ‘$tag’ as urlencoded <code>$tag</code> variable. We will set the necessary values before sending the request;<br>example:<br><code>http://your-server.com/postbackscript?id=$id</code><br><code>http://your-server.com/postbackscript?id=$id&tag=$tag</code><br><strong>Note:</strong> special characters in <code>postback_url</code> will be urlencoded; <br>i.a., the <code>#</code> character will be encoded into <code>%23</code><p>learn more on our <a href=\"https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api\" target=\"_blank\" rel=\"noopener noreferrer\">Help Center</a>",
"type": [
"string",
"null"
]
},
"prices_date_range": {
"description": "<em>predefined period for retrieving daily price data</em><br>optional field<br>to use this parameter, you must specify <code>load_prices_by_dates</code> with <code>true</code><br>if the <code>prices_start_date </code>is not specified, the start date is set to <code>check_in</code> date<br>possible values: <code>month</code>, <code>three_months</code>, <code>six_months</code>, <code>year</code><br>default value: <code>month</code>",
"type": [
"string",
"null"
]
},
"prices_end_date": {
"description": "<em>end date to load prices by dates</em><br>optional field<br>to use this parameter, you must specify <code>load_prices_by_dates</code> with <code>true</code><br>if this parameter is not specified, you will get prices by date for the month <br>date format: <code>yyyy-mm-dd</code><br>example:<br><code>2025-05-21</code>",
"type": [
"string",
"null"
]
},
"prices_start_date": {
"description": "<em>start date to load prices by dates</em><br>optional field<br>to use this parameter, you must specify <code>load_prices_by_dates</code> with <code>true</code><br>if this parameter is not specified, the start date is set to <code>check_in</code> date<br>date format: <code>yyyy-mm-dd</code><br>example:<br><code>2025-05-20</code>",
"type": [
"string",
"null"
]
},
"priority": {
"description": "<em>task priority</em><br>optional field<br>can take the following values:<br>1 – normal execution priority (set by default)<br>2 – high execution priorityYou will be additionally charged for the tasks with high execution priority.<br>The cost can be calculated on the <a title=\"Pricing\" href=\"https://dataforseo.com/pricing/business-data/google-hotels-api\" target=\"_blank\" rel=\"noopener noreferrer\">Pricing</a> page.",
"type": [
"integer",
"null"
]
},
"tag": {
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255;</em><br>you can use this parameter to identify the task and match it with the result;<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response",
"type": [
"string",
"null"
]
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.2428,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.2428 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.2428
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
number of adults
optional field
if you don't specify this field, two adults will be used by default
example:1
check-in date
optional field
if you don't specify this field, tomorrow's date will be used by default;
the value must not be earlier than today's date
date format: "yyyy-mm-dd"
example:"2019-01-15"
check-out date
optional field
if you don't specify this field, our system will apply the date of two days from now by default;
Note: the value cannot be less than or equal to check_in;
the range between check_in and check_out values cannot exceed 30 days
date format: "yyyy-mm-dd"
example:"2019-01-15"
number and age of children
optional field
if you don't specify this field, no children will be included in the search;
set the following value if you want to include one 14-years-old child:[14]
set the following value if you want to include one 13-years-old child and one 8-years-old child:[13,8]
currency
optional field
example:"USD"
unique hotel identifier
required field if you don't specify keyword
if you use this field, you don't need to specify keyword
unique identifier of a hotel entity in Google search;
you can obtain the value by making a request to Advanced Google SERP API (enclosed in the hotels_pack element of the response), or the Hotel Searches endpoint of Business Data API
example:ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE
keyword
required field if you don't specify hotel_identifier
if you use this field, you don't need to specify hotel_identifier
the keyword you specify should indicate the name of the hotel entity
you can specify up to 700 characters in the keyword filed
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages with their language_code_by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages
example:enn
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages with language_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/languages
example:English
load hotel stay prices by dates
optional field
if you specify this parameter with true, the response will include the prices_by_dates array with hotel stay prices divided by dates
if you use this parameter, you will be charged double the base price for a request
search engine location code
required field if you don't specify location_name_or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations with location_code by making a separate request to the https://api.dataforseo.com/v3/business_data/google/locations
example:2840n
GPS coordinates of a location
required field if you don't specify location_name_or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude" format
the maximum number of decimal digits for "latitude" and "longitude": 7
Note: if the coordinates are used to set a location, the search will occur in the nearest settlement;
example:53.476225,-2.243572n
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations with location_name by making a separate request to https://api.dataforseo.com/v3/business_data/google/locations
example:London,England,United Kingdom
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified;
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable;
we will set the necessary values before sending the request;
example:http://your-server.com/pingscript?id=$idhttp://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the datatype that will be sent to your server
possible values:advanced, html
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified;
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request;
example:http://your-server.com/postbackscript?id=$idhttp://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
predefined period for retrieving daily price data
optional field
to use this parameter, you must specify load_prices_by_dates with true
if the prices_start_dateis not specified, the start date is set to check_in date
possible values: month, three_months, six_months, year
default value: month
end date to load prices by dates
optional field
to use this parameter, you must specify load_prices_by_dates with true
if this parameter is not specified, you will get prices by date for the month
date format: yyyy-mm-dd
example:2025-05-21
start date to load prices by dates
optional field
to use this parameter, you must specify load_prices_by_dates with true
if this parameter is not specified, the start date is set to check_in date
date format: yyyy-mm-dd
example:2025-05-20
user-defined task identifier
optional field
the character limit is 255;
you can use this parameter to identify the task and match it with the result;
you will find the specified tag value in the data object of the response
[
{
"hotel_identifier": "ChYIq6SB--i6p6cpGgovbS8wN2s5ODZfEAE",
"language_code": "en",
"location_name": "New York,New York,United States",
"postback_data": "advanced",
"postback_url": "https://your-server.com/postbackscript.php",
"tag": "some_string_123"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes